﻿using System.Collections.Generic;

namespace Kreta.Framework.Collections.Generic
{
    public interface IEntityCollection<EntityType> : IList<EntityType>
        where EntityType : Kreta.Framework.Entities.Entity
    {
        void DeleteAll(bool logikai = true);

        void DeleteAll(bool runHandler, bool logikai = true);

        void DeleteMany(IList<int> ids, bool logikai = true);

        void CascadeDeleteAll(bool logikai = true);

        void CascadeDeleteAll(bool runHandler, bool logikai = true);

        EntityType FindEntityById(int entityId);

    }
}
